Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.driver
Interface GenomicAlignAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface GenomicAlignAdaptor
extends Adaptor

I am a part of the compara analysis

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch()`
`java.util.List` | `fetch(DnaFragment dnaFragment, GenomeDB targetGenome, int start, int end, java.lang.String methodLinkType)`
`java.util.List` | `fetch(GenomicAlignBlock block)`
`GenomicAlign` | `fetch(long internalId)`
`java.util.List` | `fetchByBlocks(java.util.List blocks)`
`int` | `store(GenomicAlign genomicAlign)`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public GenomicAlign fetch(long internalId)
                       throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(DnaFragment dnaFragment,
                                GenomeDB targetGenome,
                                int start,
                                int end,
                                java.lang.String methodLinkType)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(GenomicAlignBlock block)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetchByBlocks

    public java.util.List fetchByBlocks(java.util.List blocks)
                                 throws AdaptorException

  Throws:
    `AdaptorException`

### store

    public int store(GenomicAlign genomicAlign)
              throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD